> For the complete documentation index, see [llms.txt](https://docs.solanavibestation.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.solanavibestation.com/developers/historical/overview.md).

# Overview

All historical data is stored on our own servers which is hosted on-premise to give users the fastest historical data retrieval times possible. So no external cloud dependencies!

## Historical Supported RPC Methods

* [getBlock](/developers/historical/overview/getblock.md)
* [getBlocks](/developers/historical/overview/getblocks.md)
* [getBlockTime](/developers/solana-rpc/http-methods/getblocktime.md)
* [getBlocksWithLimit](/developers/historical/overview/getblockswithlimit.md)
* [getFirstAvailableBlock](/developers/historical/overview/getfirstavailableblock.md)
* [getSignaturesForAddress](/developers/historical/overview/getsignaturesforaddress.md)
* [getSignatureStatuses](/developers/historical/overview/getsignaturestatuses.md)
* [getSlot](/developers/historical/overview/getslot.md)
* [getTransaction](/developers/historical/overview/gettransaction.md)

## How To Use

Utilize any of the above RPC methods as normal but against the `/historical` URL path, while making sure to either omit the commitment level parameter all together or specify the "finalized" commitment level.

{% hint style="warning" %}
If you try to make a RPC request to the historical endpoint using a commitment level below "finalized", then you will receive an error letting you know that is not supported.
{% endhint %}

### Example URL:

```
https://basic.rpc.solanavibestation.com/historical?api_key=API-KEY
```

To verify that you are in fact querying the historical data back-end storage, you can check the HTTP response for the following header:

```
X-Historical-Data: true
```

Historical data is only ingested and stored as block data becomes "finalized". There is a small delay after a block becomes finalized before it is queriable by users. This is typically less than a few seconds. If you need to query data that has not become ingested to the historical back end yet, then you can still do so by omitting the /historical URL path, however data returned will only be what is stored on the specific RPC node you get routed to which typically only consists of data stored from the past 12-24 hours.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.solanavibestation.com/developers/historical/overview.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
